[med-svn] [castxml] 01/01: Propose wrapper to keep gccxml syntax
Andreas Tille
tille at debian.org
Thu Jul 23 08:30:11 UTC 2015
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository castxml.
commit a6c94b63654b64d06cf858752aa03550e6b06a98
Author: Andreas Tille <tille at debian.org>
Date: Thu Jul 23 10:29:53 2015 +0200
Propose wrapper to keep gccxml syntax
---
debian/bin/gccxml | 20 ++++++++++++++++++++
1 file changed, 20 insertions(+)
diff --git a/debian/bin/gccxml b/debian/bin/gccxml
new file mode 100755
index 0000000..eddc36a
--- /dev/null
+++ b/debian/bin/gccxml
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Proposed wrapper to keep gccxml syntax compatibility
+# Author: Andreas Tille <tille at debian.org>
+
+if [ $# -ne 2 ] ; then
+ echo "Usage: `basename $0` input_file.cc -fxml=output_file.xml"
+ exit 1
+fi
+if [ ! -e "$1" ] ; then
+ echo "`basename $0`: Input file $1 not found"
+ exit 1 # more clean would be to return proper POSIX exit code
+fi
+output=`echo $2 | sed 's/-fxml *= *//'`
+if [ "$2" = $output ] ; then
+ echo "Usage: `basename $0` input_file.cc -fxml=output_file.xml"
+ echo " You need to use old gccxml syntax with -fxml= option before output file"
+ exit 1
+fi
+castxml --castxml-gccxml "$1" -o "$output"
+
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/castxml.git
More information about the debian-med-commit
mailing list